Index: Support/bin/latexErrWarnHtml.py
===================================================================
--- Support/bin/latexErrWarnHtml.py	(revision 7749)
+++ Support/bin/latexErrWarnHtml.py	(working copy)
@@ -12,6 +12,9 @@
 def make_link(file, line):
 	return 'txmt://open?url=file:%2F%2F' + percent_escape(file) + '&line=' + line
 
+def shell_quote(string):
+	return '"' + re.sub(r'([`$\\"])', r'\\\1', string) + '"'
+
 #in a multifile latex document the current document will come after a left paren
 newFilePat = re.compile('.*\((\.\/.*\.tex)')
 warnPat = re.compile('LaTeX Warning.*?input line (\d+).$')
@@ -28,10 +31,10 @@
     texCommand = sys.argv[1]
     fileName = sys.argv[2]
 else:
-    sys.stderr.write("Usage: "+sys.argv[0]+" [-v] tex-command file.tex")
+    sys.stderr.write("Usage: "+sys.argv[0]+" [-v] tex-command file.tex\n")
     sys.exit(255)
 
-texin,tex = os.popen4(texCommand+" "+"'"+fileName+"'")
+texin,tex = os.popen4(texCommand+" "+shell_quote(fileName))
 
 numWarns = 0
 numErrs = 0
